https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFieldsGiven an `envelopeId`, this method returns the sender fields found in that envelope's documents. After you retrieve the sender fields, use the DocumentGeneration::updateEnvelopeDocGenFormFields method to populate the fields. If the specified envelope does not contain a document with sender fields, the method will return success (`200`) and an empty object (`{}`) in the response. ### Next steps - Learn about document generation in the eSignature concepts guide. - Learn how to send an envelope with document generation in your preferred coding language.
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFieldsGiven an `envelopeId`, this method returns the sender fields found in that envelope's documents. After you retrieve the sender fields, use the DocumentGeneration::updateEnvelopeDocGenFormFields method to populate the fields. If the specified envelope does not contain a document with sender fields, the method will return success (`200`) and an empty object (`{}`) in the response. ### Next steps - Learn about document generation in the eSignature concepts guide. - Learn how to send an envelope with document generation in your preferred coding language.
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/docGenFormFields' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}